Solved

Partner API explorer is broken?

mark172
Shopify Partner
2 1 1

Hey, on the Shopify Partner, the GraphiQL Explorer for the Partner API seems to be broken.

When the user try to check the graph documentation, the following message is displayed.

 

```

Schema is invalid: Interface field Actor.name expects type String! but MerchantUser.name is type String.

```

The bug is present on every versions of the API. 

 

Capture d’écran, le 2023-04-11 à 15.03.47.jpeg

Accepted Solution (1)

mark172
Shopify Partner
2 1 1

This is an accepted solution.

The issue seems to have been fixed today. 🎉

Capture d’écran, le 2023-04-18 à 11.03.38.png

View solution in original post

Reply 1 (1)

mark172
Shopify Partner
2 1 1

This is an accepted solution.

The issue seems to have been fixed today. 🎉

Capture d’écran, le 2023-04-18 à 11.03.38.png